## kdeutils 4.6.5

=== debian/changelog ===
kdeutils (4:4.6.5-4) unstable; urgency=high

  [ Pino Toscano ]
  * Backport the upstream r1259334 from the 4.6 branch to fix the Ark
    directory traversal, CVE-2011-2725. (Closes: #635541)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 12:32:27 +0100

kdeutils (4:4.6.5-3) unstable; urgency=low

  [ Pino Toscano ]
  * Explicitly build-depend on libbz2-dev and zlib1g-dev, as they are needed
    for ark and no more implicitly provided by libarchive-dev.
    (Closes: #642815)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Oct 2011 15:52:38 +0200

kdeutils (4:4.6.5-2) unstable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Add kcalc_key_bindings.diff which reverts a faulty upstream commit
    which broke the key bindings in kcalc.

  [ Modestas Vainius ]
  * Switch the package to dh_python2 and actually byte-compile private py files
    in the process.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jul 2011 00:31:34 +0300

kdeutils (4:4.6.5-1) unstable; urgency=low

  * New upstream release:
    - ark now supports password-protected archives correctly (Closes: #451926)

  [ José Manuel Santamaría Lema ]
  * Bump build dependency on kde-sc-dev-latest to 4:4.6.5.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 18 Jul 2011 21:54:01 +0300

kdeutils (4:4.6.3-1) unstable; urgency=low

  * New upstream release.

  [ Pino Toscano ]
  * Lower kfloppy as suggest for the kdeutils metapackage, as it is no more
    worth than that, nowadays. (Closes: #623778)

  [ José Manuel Santamaría Lema ]
  * Bump build dependency on kde-sc-dev-latest to 4:4.6.3.
  * Bump Standards-Version to 3.9.2; no changes needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 02:41:41 +0300

kdeutils (4:4.6.2-1) experimental; urgency=low

  * New upstream release:
    - fixes creation of DSA&ElGamal keys in kgpg (Closes: #597001)
  * Update installed files.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.
  * Switch debian/rules engine to dhmk based qt-kde-team/2/*.
  * Remove redundant links to deprecated common-licenses/BSD.
  * Fix grammar error in the kremotecontrol description.

  [ George Kiagiadakis ]
  * Add myself to uploaders.
  * Bump build dependencies on other kde-sc components to version 4:4.6.
  * Add new kremotecontrol package and make kdelirc a transitional package.
  * Remove unused build dependency on libsnmp-dev.
  * Add build dependency on python-dev, needed for superkaramba.
  * s/KDE/KDE SC/ in all package descriptions.

  [ José Manuel Santamaría Lema ]
  * Remove package okteta.
  * Add package filelight.
  * Remove unused build dependency on libqca2-dev.
  * Bump build dependency on kde-sc-dev-latest to 4:4.6.2.
  * Bump S-V to 3.9.1; update Replaces/Breaks/Conflicts.
  * Add debhelper depends substvars to kdeutils and kdeutils-dbg.
  * Add lintian-overrides files.
  * Add myself to Uploaders.

  [ Pino Toscano ]
  * Use wildcard architectures:
    - kfreebsd-i386 kfreebsd-amd64 -> kfreebsd-any

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Apr 2011 12:23:45 +0300

kdeutils (4:4.1.4-1) experimental; urgency=low

  * New upstream
    - bump build-dep

 -- Sune Vuorela <debian@pusling.com>  Sat, 10 Jan 2009 19:43:37 +0100

=== debian/control ===
Source: kdeutils
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>, José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.6.5),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6), kdepimlibs5-dev (>= 4:4.6),
 libgmp3-dev, libqimageblitz-dev (>= 1:0.0.4-2),
 libarchive-dev, libx11-dev, libxrender-dev, python-dev,
 libkonq5-dev (>= 4:4.6), liblzma-dev, libkvm-dev [kfreebsd-any],
 kdebase-workspace-dev (>= 4:4.6), libbz2-dev, zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdeutils.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdeutils.git

Package: kdeutils
Architecture: all
Depends: ${misc:Depends},
 ark (>= ${source:Version}), kcalc (>= ${source:Version}),
 kcharselect (>= ${source:Version}), kremotecontrol (>= ${source:Version}),
 kdf (>= ${source:Version}),
 kgpg (>= ${source:Version}), ktimer (>= ${source:Version}),
 kwalletmanager (>= ${source:Version}),
 plasma-scriptengine-superkaramba (>= ${source:Version}), sweeper (>= ${source:Version}),
 filelight (>= ${source:Version})
Suggests: kfloppy (>= ${source:Version})
Description: general-purpose utilities from the official KDE SC release
 This metapackage includes general-purpose utilities provided with the
 official release of KDE SC.

Package: kdeutils-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-runtime-dbg
Suggests: kdeutils (= ${source:Version})
Description: debugging symbols for the KDE SC utilities module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE SC utilities module.


Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, zip, unzip
Suggests: rar, unrar | unrar-free
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: archive utility 
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

Package: kcalc
Section: math
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple and scientific calculator
 KCalc is a scientific calculator.
 .
 KCalc provides:
  * Trigonometric functions, logic operations, and statistical calculations
  * Calculation in decimal, hexadecimal, octal, and binary bases
  * Memory functions for storing results
  * A comprehensive collection of mathematical constants
 .
 This package is part of the KDE SC utilities module.

Package: kcharselect
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: special character utility
 KCharSelect is a utility for finding special characters which are not
 available on the keyboard.  It can search for characters by Unicode number,
 display characters in any font, and copy characters to the clipboard so they
 can be pasted into documents.
 .
 This package is part of the KDE SC utilities module.

Package: kremotecontrol
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lirc
Description: frontend for using remote controls
 KRemoteControl is a KDE frontend for your remote controls. It allows you
 to configure actions for button presses on remotes. All types of remotes
 supported by Solid are also supported by KRemoteControl.
 .
 KRemoteControl consists of the following parts:
  * a control module that allows one to create and assign actions.
  * a kded module responsible for executing the actions.
  * a system tray applet for visual feedback.
  * a plasma data engine for interacting with remotes from plasmoids.
 .
 This package is part of the KDE SC utilities module.

Package: kdelirc
Section: utils
Architecture: all
Depends: kremotecontrol (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kremotecontrol
 This is a transitional package provided to ease upgrade from kdelirc
 to the new kremotecontrol. You can safely remove it if you want.
 .
 This package is part of the KDE SC utilities module.

Package: kdf
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available.  It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE SC utilities module.

Package: kfloppy
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: floppy formatter
 Kfloppy is a utility for formatting floppy disks.
 .
 This package is part of the KDE SC utilities module.

Package: kgpg
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE SC utilities module.

Package: ktimer
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE SC utilities module.

Package: kwalletmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: utils
Description: secure password wallet manager
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 KWallet Manager is a utility for viewing and editing information stored in
 the KDE Wallet.
 .
 This package is part of the KDE SC utilities module.

Package: plasma-scriptengine-superkaramba
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdebase-workspace-bin
Replaces: superkaramba
Breaks: superkaramba
Description: SuperKaramba theme support for the Plasma Workspaces
 This package provides SuperKaramba scriptengine for Plasma. It brings
 support for the SuperKaramba interactive desktop applets, called "themes", to
 the Plasma desktop.
 .
 This package is part of the KDE SC utilities module.

Package: sweeper
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: history and temporary file cleaner
 Sweeper can quickly remove temporary information, such as web page cookies,
 browser history, or the list of recently-opened documents.  It helps provide
 additional privacy on a system shared between multiple users.
 .
 This package is part of the KDE SC utilities module.

Package: printer-applet
Section: utils
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-qt4-dbus, python-cups, python-kde4 (>= 4:4.1.82)
Recommends: hal-cups-utils, system-config-printer
Description: manages your printing jobs
 Printer applet lets you easily manage your printing jobs.
 .
 This package is part of the KDE SC utilities module.

Package: filelight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## kdeutils 4.6.5-0ubuntu1.2+5.0trisquel1

=== ark/plugins/CMakeLists.txt ===
if (LIBARCHIVE_FOUND)
    if( HAVE_LIBARCHIVE_READ_DISK_API )
        if( NOT HAVE_LIBARCHIVE_LZMA_SUPPORT OR NOT HAVE_LIBARCHIVE_XZ_SUPPORT )
            message(STATUS "Your libarchive does not have support for lzma and/or xz archives. libarchive >= 2.7.0 is recommended.")
        endif( NOT HAVE_LIBARCHIVE_LZMA_SUPPORT OR NOT HAVE_LIBARCHIVE_XZ_SUPPORT )
        add_subdirectory( libarchive )
    else( HAVE_LIBARCHIVE_READ_DISK_API )
        # Remove the cached variables from FindLibArchive.cmake
        unset( LIBARCHIVE_FOUND )
        unset( LIBARCHIVE_INCLUDE_DIR )
        unset( LIBARCHIVE_LIBRARY )
        message(STATUS "Your libarchive does not have support for archive_read_disk api. libarchive >= 2.6.0 is needed.")
    endif( HAVE_LIBARCHIVE_READ_DISK_API )
endif (LIBARCHIVE_FOUND)


add_subdirectory( cliunarchiverplugin )
add_subdirectory( cli7zplugin )
add_subdirectory( clizipplugin )
add_subdirectory( libsinglefileplugin )

=== debian/changelog ===
kdeutils (4:4.6.5-0ubuntu1.2+5.0trisquel1) dagda; urgency=low

  * Add support for theunarchiver

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 09 Jan 2012 01:10:58 +0000

kdeutils (4:4.6.5-0ubuntu1.2) natty-security; urgency=low

  * SECURITY UPDATE: fix directory traversal in Ark
    - debian/patches/CVE-2011-2725.patch: filter out '../' when previewing
      archives
    - CVE-2011-2725
    - LP: #878619

 -- Jamie Strandboge <jamie@ubuntu.com>  Sun, 30 Oct 2011 16:16:10 -0400

kdeutils (4:4.6.5-0ubuntu1) natty-proposed; urgency=low

  * Upload to natty-proposed for SRU testing (LP: #859562)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Sep 2011 07:39:39 -0400

kdeutils (4:4.6.5-0ubuntu1~ppa4) natty; urgency=low

  * Add kubuntu_03_kcalc_miscalculating.diff from upstream to fix
    calculating problem with tan, cos, sin and ln (BUG: 276568)
  * Add kubuntu_04_kgpg_version_bump.diff from upstream to bump
    the kgpg version (for consistency)
  * Add kubuntu_05_kgpg_editor_untrusted_keys.diff from upstream to fix
    a problem of unavailability of untrusted keys in the kgpg-editor
    (BUG: 278238)

 -- Romain Perier <bambi@ubuntu.com>  Fri, 23 Sep 2011 10:22:23 +0200

kdeutils (4:4.6.5-0ubuntu1~ppa3) natty; urgency=low

  * Add patch to fix incorrect Q_ASSERT

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 11 Jul 2011 14:39:45 +0530

kdeutils (4:4.6.5-0ubuntu1~ppa2) natty; urgency=low

  * Added debian/patches/kubuntu_01_make_keyboard_work_in_kcalc.patch

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 08 Jul 2011 21:08:50 +0200

kdeutils (4:4.6.5-0ubuntu1~ppa1) natty; urgency=low

  * New upstream point release
   - Bump on kde-sc-dev-latest

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 08 Jul 2011 14:22:33 +0200

kdeutils (4:4.6.4-0ubuntu1~ppa3) natty; urgency=low

  * Add missing Breaks/Replaces for ark against filelight 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 26 Jun 2011 17:52:08 +0200

kdeutils (4:4.6.4-0ubuntu1~ppa2) natty; urgency=low

    * Move kerfuffle_libarchive_readonly.desktop from the filelight package
      to ark. The file is needed to detect various archive types, e.g. deb
      packages. (LP: #797067)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 26 Jun 2011 17:45:55 +0200

kdeutils (4:4.6.4-0ubuntu1~ppa1) natty; urgency=low

  * New upstream release 
    - update kde-sc-dev-latest version
    - drop kubuntu_01_ark_libarchive_fix.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 09 Jun 2011 14:39:17 +0200

kdeutils (4:4.6.3-0ubuntu1~ppa3) natty; urgency=low

  * Add kubuntu_01_ark_libarchive_fix.diff to fix ark only creating
    gzip archives. Cherry picked from kde svn r1230915

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 09 May 2011 18:48:13 +0200

kdeutils (4:4.6.3-0ubuntu1~ppa2) natty; urgency=low

  [ Romain Perier ]
  * New upstream release

  [ Philip Muškovac ]
  * Update Vcs links as the branch is owned by kubuntu-packagers now

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 May 2011 17:18:05 +0200

=== debian/control ===
Source: kdeutils
Section: kde
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.6.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5),
 libgmp3-dev, libqimageblitz-dev (>= 1:0.0.4-2), libsnmp-dev,
 libarchive-dev, libx11-dev, libxrender-dev, python-support,
 libqca2-dev, libkonq5-dev (>= 4:4.5.2-0ubuntu1), liblzma-dev,
 kdebase-workspace-dev (>= 4:4.5), pkg-config,
 libzip-dev, shared-desktop-ontologies, shared-mime-info,
 libqjson-dev (>= 0.7.1-1ubuntu1), python-dev
Standards-Version: 3.8.4
Homepage: http://utils.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kdeutils/ubuntu

Package: kdeutils
Architecture: all
Depends: ark (>= ${source:Version}), kcalc (>= ${source:Version}),
 kcharselect (>= ${source:Version}),
 kdf (>= ${source:Version}), kfloppy (>= ${source:Version}),
 kgpg (>= ${source:Version}), ktimer (>= ${source:Version}),
 kwalletmanager (>= ${source:Version}),
 plasma-scriptengine-superkaramba (>= ${source:Version}), sweeper (>= ${source:Version}),
 kremotecontrol (>= ${source:Version}), printer-applet (>= ${source:Version})
Description: general-purpose utilities from the official KDE release
 This metapackage includes general-purpose utilities provided with the
 official release of KDE.

Package: kdeutils-dbg
Section: debug
Architecture: any
Priority: extra
Depends: kdebase-runtime-dbg
Suggests: kdeutils (= ${source:Version})
Description: debugging symbols for the KDE utilities module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE utilities module.


Package: ark
Section: utils
Architecture: any
Suggests: bzip2, p7zip-full, zip, unzip, rar, unrar | unrar-free
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: filelight (<< 4:4.6.4-0ubuntu1~ppa2)
Replaces: filelight (<< 4:4.6.4-0ubuntu1~ppa2)
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip.
 It can be used to browse, extract, create, and modify archives.
 .
 This package is part of the KDE utilities module.

Package: kcalc
Section: math
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple and scientific calculator
 KCalc is a scientific calculator.
 .
 KCalc provides:
  * Trigonometric functions, logic operations, and statistical calculations
  * Calculation in decimal, hexadecimal, octal, and binary bases
  * Memory functions for storing results
  * A comprehensive collection of mathematical constants
 .
 This package is part of the KDE utilities module.

Package: kcharselect
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: special character utility
 KCharSelect is a utility for finding special characters which are not
 available on the keyboard.  It can search for characters by Unicode number,
 display characters in any font, and copy characters to the clipboard so they
 can be pasted into documents.
 .
 This package is part of the KDE utilities module.

Package: kremotecontrol
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lirc
Conflicts: kdelirc (<< 4:4.4.90)
Replaces: kdelirc (<< 4:4.4.90)
Description: infrared remote control
 KRemoteControl is a frontend for the Linux Infrared Remote Control system
 (LIRC).
 .
 KRemoteControl consists of two parts:
  * a systemtray applet acting as a proxy between the LIRC system and D-Bus.
  * a control module.
 .
 This package is part of the KDE utilities module.

Package: kdelirc
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kremotecontrol
Description: infrared remote control - transitional package
 KDELirc is a frontend for the Linux Infrared Remote Control system (LIRC).
 .
 KDELirc consists of two parts:
  * a systemtray applet acting as a proxy between the LIRC system and D-Bus.
  * a control module.
 .
 This is a transitional package for kremotecontrol, and can be safely removed
 after the installation is complete.

Package: kdf
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available.  It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE utilities module.

Package: kfloppy
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: floppy formatter
 Kfloppy is a utility for formatting floppy disks.
 .
 This package is part of the KDE utilities module.

Package: kgpg
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE utilities module.

Package: ktimer
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE utilities module.

Package: kwalletmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: utils
Description: secure password wallet manager
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 KWallet Manager is a utility for viewing and editing information stored in
 the KDE Wallet.
 .
 This package is part of the KDE utilities module.

Package: plasma-scriptengine-superkaramba
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kdebase-workspace-bin
Replaces: superkaramba
Conflicts: superkaramba
Description: SuperKaramba theme support for the Plasma Workspaces
 This package provides SuperKaramba scriptengine for Plasma. It brings
 support for the SuperKaramba interactive desktop applets, called "themes", to
 the Plasma desktop.
 .
 This package is part of the KDE utilities module.

Package: sweeper
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: history and temporary file cleaner
 Sweeper can quickly remove temporary information, such as web page cookies,
 browser history, or the list of recently-opened documents.  It helps provide
 additional privacy on a system shared between multiple users.
 .
 This package is part of the KDE utilities module.

Package: printer-applet
Section: utils
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
 python-cups (>= 1.9.27), system-config-printer-common,
 python-kde4, python-qt4-dbus, python
Description: printer status applet
 Printer-applet is a system tray utility.  It shows current print jobs,
 shows printer warnings and errors and shows when printers that have
 been plugged in for the first time are being auto-configured by
 Cups.
 .
 This package is part of the KDE utilities module.

Package: filelight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## kdeutils 4.7.1

=== debian/changelog ===
kdeutils (4:4.7.1-0ubuntu3) oneiric; urgency=low

  * Catch KeyError in printer-applet monitor.py to avoid crash (LP: #629753)
    - debian/patches/printer-applet-monitor.diff

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Sep 2011 12:56:45 -0400

kdeutils (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 00:53:57 +0200

kdeutils (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 06 Sep 2011 14:57:49 +0200

kdeutils (4:4.7.0-0ubuntu2) oneiric; urgency=low

  * Switch to dh_python2:
    - Update debian/rules
    - Drop Build-depends on python-support
    - Adjust/add version requirements for various python-* Build-depends and
      Depends to match dh_python2

 -- Scott Kitterman <scott@kitterman.com>  Tue, 09 Aug 2011 10:00:17 -0400

kdeutils (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 22 Jul 2011 22:34:20 -0400

kdeutils (4:4.6.90-0ubuntu1) oneiric; urgency=low

  * New upstream development release
    - Add libxtst-dev into build-deps
    - Update dependencies and Suggests fields
      to match kde-runtime and kde-workspace
    - Update install files

 -- Romain Perier <romain.perier@gmail.com>  Tue, 12 Jul 2011 13:00:28 +0200

kdeutils (4:4.6.3-1ubuntu1) oneiric; urgency=low

  [ Jonathan Thomas ]
  * Merge from Debian Unstable, remaining changes:
    - Add  libzip-dev, shared-desktop-ontologies, shared-mime-info,
      libqjson-dev, python-2.6 to build-dependencies
    - Add utilities-file-archiver.xpm icon needed by ark
    - Don't add libkvm-dev (not in archive)
    - Add kdelirc, printer-applet to kdeutils metapackage
    - ark suggests  bzip2, p7zip-full, zip, unzip, not recommends
    - ark does not support CD images - fix description
    - Keep our more verbose description for printer-applet and keep our
      depends

  [ Romain Perier ]
  * New upstream release

  [ Philip Muškovac ]
  * Update Vcs links as the branch is owned by kubuntu-packagers now

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 30 May 2011 18:09:15 -0400

=== debian/rules ===
#!/usr/bin/make -f

dh = --with=python2

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DINSTALL_PRINTER_APPLET:BOOL=TRUE

.PHONY: override_dh_auto_test

override_dh_python2:
	$(overridden_command) -p printer-applet /usr/share/kde4/apps/printer-applet

override_dh_strip:
	$(overridden_command) --dbg-package=kdeutils-dbg

## kdeutils 4.7.2

=== debian/changelog ===
kdeutils (4:4.7.2-1) experimental; urgency=low

  [ Eshat Cakar ]
  * New upstream release.
  * Add myself to uploaders.
  * Remove kcalc_key_bindings.diff (applied upstream).
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump kdelibs5-dev build dependency to 4:4.7.
  * Bump kdepimlibs5-dev build dependency to 4:4.7.
  * Bump libkonq5-dev build dependency to 4:4.7.
  * Remove kdebase-workspace-dev build dependency and
    add remove_workspace.patch to fix it in CMakeLists (thanks Pino).
  * Remove ${shlibs:Depends} from kdeutils-dbg and printer-applet.

  [ Pino Toscano ]
  * printer-applet: recommend system-config-printer-kde instead of
    system-config-printer. (Closes: #646786)
  * Manage some packages renamings (Closes: #650008):
    - kdeutils-dbg depends on kde-runtime-dbg instead of kdebase-runtime-dbg.
    - plasma-scriptengine-superkaramba suggests kde-workspace-bin instead of
      kdebase-workspace-bin.

  [ José Manuel Santamaría Lema ]
  * Add libxtst-dev build depend.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:43:15 -0300

=== debian/control ===
Source: kdeutils
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <kiagiadakis.george@gmail.com>, José Manuel Santamaría Lema <panfaust@gmail.com>,
 Eshat Cakar <info@eshat.de>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7),
 libgmp3-dev, libqimageblitz-dev (>= 1:0.0.4-2),
 libarchive-dev, libx11-dev, libxrender-dev, python-dev,
 libkonq5-dev (>= 4:4.7), liblzma-dev, libkvm-dev [kfreebsd-any],
 libbz2-dev, zlib1g-dev, libxtst-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdeutils.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdeutils.git

Package: kdeutils
Architecture: all
Depends: ${misc:Depends},
 ark (>= ${source:Version}), kcalc (>= ${source:Version}),
 kcharselect (>= ${source:Version}), kremotecontrol (>= ${source:Version}),
 kdf (>= ${source:Version}),
 kgpg (>= ${source:Version}), ktimer (>= ${source:Version}),
 kwalletmanager (>= ${source:Version}),
 plasma-scriptengine-superkaramba (>= ${source:Version}), sweeper (>= ${source:Version}),
 filelight (>= ${source:Version})
Suggests: kfloppy (>= ${source:Version})
Description: general-purpose utilities from the official KDE SC release
 This metapackage includes general-purpose utilities provided with the
 official release of KDE SC.

Package: kdeutils-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg
Suggests: kdeutils (= ${source:Version})
Description: debugging symbols for the KDE SC utilities module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE SC utilities module.


Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, zip, unzip
Suggests: rar, unrar | unrar-free
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: archive utility 
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

Package: kcalc
Section: math
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple and scientific calculator
 KCalc is a scientific calculator.
 .
 KCalc provides:
  * Trigonometric functions, logic operations, and statistical calculations
  * Calculation in decimal, hexadecimal, octal, and binary bases
  * Memory functions for storing results
  * A comprehensive collection of mathematical constants
 .
 This package is part of the KDE SC utilities module.

Package: kcharselect
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: special character utility
 KCharSelect is a utility for finding special characters which are not
 available on the keyboard.  It can search for characters by Unicode number,
 display characters in any font, and copy characters to the clipboard so they
 can be pasted into documents.
 .
 This package is part of the KDE SC utilities module.

Package: kremotecontrol
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lirc
Description: frontend for using remote controls
 KRemoteControl is a KDE frontend for your remote controls. It allows you
 to configure actions for button presses on remotes. All types of remotes
 supported by Solid are also supported by KRemoteControl.
 .
 KRemoteControl consists of the following parts:
  * a control module that allows one to create and assign actions.
  * a kded module responsible for executing the actions.
  * a system tray applet for visual feedback.
  * a plasma data engine for interacting with remotes from plasmoids.
 .
 This package is part of the KDE SC utilities module.

Package: kdelirc
Section: utils
Architecture: all
Depends: kremotecontrol (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kremotecontrol
 This is a transitional package provided to ease upgrade from kdelirc
 to the new kremotecontrol. You can safely remove it if you want.
 .
 This package is part of the KDE SC utilities module.

Package: kdf
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: disk information utility
 KDiskFree displays information about hard disks and other storage devices,
 including the amount of free space available.  It can also mount and unmount
 storage devices and view them in the file manager.
 .
 KwikDisk is an icon for the system tray that provides convenient access to
 the features of KDiskFree.
 .
 This package is part of the KDE SC utilities module.

Package: kfloppy
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: floppy formatter
 Kfloppy is a utility for formatting floppy disks.
 .
 This package is part of the KDE SC utilities module.

Package: kgpg
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical front end for GNU Privacy Guard
 Kgpg manages cryptographic keys for the GNU Privacy Guard, and can encrypt,
 decrypt, sign, and verify files.  It features a simple editor for applying
 cryptography to short pieces of text, and can also quickly apply cryptography
 to the contents of the clipboard.
 .
 This package is part of the KDE SC utilities module.

Package: ktimer
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: countdown timer
 KTimer is a countdown timer for running commands after a delay.
 The countdown can be paused or set to loop continuously.
 .
 This package is part of the KDE SC utilities module.

Package: kwalletmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: utils
Description: secure password wallet manager
 The KDE Wallet system provides a secure way to store passwords and other
 secret information, allowing the user to remember only a single KDE Wallet
 password instead of numerous different passwords and credentials.
 .
 KWallet Manager is a utility for viewing and editing information stored in
 the KDE Wallet.
 .
 This package is part of the KDE SC utilities module.

Package: plasma-scriptengine-superkaramba
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kde-workspace-bin
Replaces: superkaramba
Breaks: superkaramba
Description: SuperKaramba theme support for the Plasma Workspaces
 This package provides SuperKaramba scriptengine for Plasma. It brings
 support for the SuperKaramba interactive desktop applets, called "themes", to
 the Plasma desktop.
 .
 This package is part of the KDE SC utilities module.

Package: sweeper
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: history and temporary file cleaner
 Sweeper can quickly remove temporary information, such as web page cookies,
 browser history, or the list of recently-opened documents.  It helps provide
 additional privacy on a system shared between multiple users.
 .
 This package is part of the KDE SC utilities module.

Package: printer-applet
Section: utils
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-qt4-dbus, python-cups, python-kde4 (>= 4:4.1.82)
Recommends: hal-cups-utils, system-config-printer-kde
Description: manages your printing jobs
 Printer applet lets you easily manage your printing jobs.
 .
 This package is part of the KDE SC utilities module.

Package: filelight
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## kdeutils 4.7.4

=== debian/changelog ===
kdeutils (4:4.7.4-1) experimental; urgency=low

  * New upstream relese:
    - fix German name of kwalletmanager. (Closes: #641039)

  [ Eshat Cakar ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Remove CVE-2011-2725_4.6.diff (applied upstream).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:37:56 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
  George Kiagiadakis <kiagiadakis.george@gmail.com>, José Manuel Santamaría Lema <panfaust@gmail.com>,
  Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7),
  libgmp3-dev, libqimageblitz-dev (>= 1:0.0.4-2),

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 
 .PHONY: override_dh_auto_test
 
+override_dh_strip:
+	$(overridden_command) --dbg-package=kdeutils-dbg
+
 override_dh_python2:
 	$(overridden_command) -p printer-applet /usr/share/kde4/apps/printer-applet
-
-override_dh_strip:
-	$(overridden_command) --dbg-package=kdeutils-dbg

## kdeutils 4.7.4-0ubuntu0.1+5.5trisquel1

=== ark/plugins/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,9 @@
         if( NOT HAVE_LIBARCHIVE_LZMA_SUPPORT OR NOT HAVE_LIBARCHIVE_XZ_SUPPORT )
             message(STATUS "Your libarchive does not have support for lzma and/or xz archives. libarchive >= 2.7.0 is recommended.")
         endif( NOT HAVE_LIBARCHIVE_LZMA_SUPPORT OR NOT HAVE_LIBARCHIVE_XZ_SUPPORT )
+        if( NOT HAVE_LIBARCHIVE_RPM_SUPPORT )
+            message(STATUS "Your libarchive does not have support for rpm archives. libarchive >= 2.8.0 is required for this.")
+        endif( NOT HAVE_LIBARCHIVE_RPM_SUPPORT )
         add_subdirectory( libarchive )
     else( HAVE_LIBARCHIVE_READ_DISK_API )
         # Remove the cached variables from FindLibArchive.cmake

=== ark/plugins/cliunarchiverplugin/CMakeLists.txt ===

include_directories(
                     ${CMAKE_CURRENT_SOURCE_DIR}/../..
                     ${CMAKE_CURRENT_BINARY_DIR}/../..
                   )

########### next target ###############

set(kerfuffle_cliunarchiver_SRCS cliplugin.cpp)

kde4_add_plugin(kerfuffle_cliunarchiver ${kerfuffle_cliunarchiver_SRCS})

target_link_libraries(kerfuffle_cliunarchiver  ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} kerfuffle )



########### install files ###############

install(TARGETS kerfuffle_cliunarchiver  DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kerfuffle_cliunarchiver.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kdeutils (4:4.7.4-0ubuntu0.1+5.5trisquel1) brigantia; urgency=low

  * Add support for theunarchiver

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 23 Jan 2012 20:50:52 +0000

kdeutils (4:4.7.4-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bugfix release (LP: #913928)
    - Adjust ktimer.install for changed two_at_once.png file name

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jan 2012 10:03:45 -0500

kdeutils (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Romain Perier ]
  * New  upstream bugfix release (LP: #901975)
  * Fix missing build-dep on libbz2-dev so kerfuffle is built correctly with
    with bzip2 support.

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 22:13:59 -0500

kdeutils (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  [ Philip Muškovac ]
  * New upstream release (LP: #872506)

  [ Scott Kitterman ]
  * Update meta data in debian/patches/printer-applet-monitor.diff

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Oct 2011 10:31:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: kdeutils
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
- George Kiagiadakis <kiagiadakis.george@gmail.com>, José Manuel Santamaría Lema <panfaust@gmail.com>,
- Eshat Cakar <info@eshat.de>
+ George Kiagiadakis <kiagiadakis.george@gmail.com>, José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7),
+ kdelibs5-dev (>= 4:4.6), kdepimlibs5-dev (>= 4:4.6),
  libgmp3-dev, libqimageblitz-dev (>= 1:0.0.4-2),
- libarchive-dev, libx11-dev, libxrender-dev, python-dev,
- libkonq5-dev (>= 4:4.7), liblzma-dev, libkvm-dev [kfreebsd-any],
- libbz2-dev, zlib1g-dev, libxtst-dev
+ libarchive-dev, libx11-dev, libxrender-dev, python-dev (>= 2.6.6-3~),
+ libkonq5-dev (>= 4:4.6), liblzma-dev,
+ libzip-dev, shared-desktop-ontologies, shared-mime-info, pkg-config,
+ libqjson-dev (>= 0.7.1-1ubuntu1),
+ kde-workspace-dev, libxtst-dev, libbz2-dev
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdeutils.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdeutils.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeutils/
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdeutils
 
 Package: kdeutils
 Architecture: all
@@ -26,6 +28,7 @@
  kgpg (>= ${source:Version}), ktimer (>= ${source:Version}),
  kwalletmanager (>= ${source:Version}),
  plasma-scriptengine-superkaramba (>= ${source:Version}), sweeper (>= ${source:Version}),
+ printer-applet (>= ${source:Version}),
  filelight (>= ${source:Version})
 Suggests: kfloppy (>= ${source:Version})
 Description: general-purpose utilities from the official KDE SC release
@@ -36,7 +39,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, kde-runtime-dbg
+Depends: ${shlibs:Depends}, ${misc:Depends}, kde-runtime-dbg
 Suggests: kdeutils (= ${source:Version})
 Description: debugging symbols for the KDE SC utilities module
  This package contains debugging files used to investigate problems with
@@ -46,13 +49,13 @@
 Package: ark
 Section: utils
 Architecture: any
-Recommends: bzip2, p7zip-full, zip, unzip
-Suggests: rar, unrar | unrar-free
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: rar, unrar | unrar-free, bzip2, p7zip-full, zip, unzip
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: filelight (<< 4:4.6.3-1ubuntu1)
+Breaks: filelight (<< 4:4.6.3-1ubuntu1)
 Description: archive utility 
- Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
- as well as CD-ROM images.  Ark can be used to browse, extract, create, and
- modify archives.
+ Ark manages various archive formats, including tar, gzip, bzip2, rar and zip.
+ It can be used to browse, extract, create, and modify archives.
  .
  This package is part of the KDE SC utilities module.
 
@@ -88,6 +91,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: lirc
+Replaces: kdelirc (<< 4:4.4.90)
+Breaks: kdelirc (<< 4:4.4.90)
 Description: frontend for using remote controls
  KRemoteControl is a KDE frontend for your remote controls. It allows you
  to configure actions for button presses on remotes. All types of remotes
@@ -197,10 +202,13 @@
 Package: printer-applet
 Section: utils
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-qt4-dbus, python-cups, python-kde4 (>= 4:4.1.82)
-Recommends: hal-cups-utils, system-config-printer-kde
-Description: manages your printing jobs
- Printer applet lets you easily manage your printing jobs.
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-qt4-dbus (>= 4.8.3-3~), python-cups (>= 1.9.54-0ubuntu2~), python-kde4 (>= 4:4.7.0-0ubuntu2~),
+ system-config-printer-common
+Description: printer status applet
+ Printer-applet is a system tray utility.  It shows current print jobs,
+ shows printer warnings and errors and shows when printers that have
+ been plugged in for the first time are being auto-configured by
+ Cups.
  .
  This package is part of the KDE SC utilities module.

## kdeutils 980312-6

=== debian/control ===
Source: kdeutils
Section: contrib/x11
Priority: extra
Maintainer: Stephan Kulow <coolo@kde.org>
Standards-Version: 2.3.0.0

Package: kdeutils
Architecture: any
Depends: ${shlibs:Depends}, kdebase
Description: collection of useful kde utilities 
 this collection includes karm kcalc kedit khexdit kjots knotes kzip
 (calculator, editor, hex editor ...)

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# games on the sample debian/rules file for GNU hello by Ian Jackson.

build:
	dh_testdir
	( CFLAGS="-O2 -g -Wall" \
	  CXXFLAGS="$$CFLAGS" \
	  DO_NOT_COMPILE=kfloppy \
	  ./configure --with-install-root=`pwd`/debian/tmp \
	  --enable-debug --disable-rpath )
 
	make 

	touch build

clean:
	dh_testdir
	dh_clean -k
	-make distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars \
		debian/menu debian/*shlibs*
	-rm -rf config.log libtool config.status config.cache
	
binary-indep:	build
	dh_testroot
	dh_testdir
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	dh_testroot
	dh_testdir
	-rm -rf debian/tmp
	make install 
	chmod a+x debian/kderules
	debian/kderules
	dh_movefiles
	dh_undocumented `cat debian/man-pages`
	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb    

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean
